## leafnode 1.11.8

=== debian/changelog ===
leafnode (1.11.8-1) unstable; urgency=low

  * New upstream release.
     - Fix file descriptor leak in getbody_newno() (closes: #568128).
  * Added Danish Debconf translation, kindly provided by
    Joe Hansen <joedalton2@yahoo.dk> (closes: #581055).
  * Depend on netbase.  
  * Standards version 3.8.4 (no changes).
  * Switch to dpkg source 3.0 (quilt) format.

 -- Robert Grimm <rob@robgri.de>  Sun, 13 Jun 2010 20:41:10 +0200

leafnode (1.11.7.rel-2) unstable; urgency=low

  * Standards version 3.8.3 (no changes).
  * Mentioned in README.Debian that the need to use touch_newsgroups is
    considered a bug.
  * Removed tabstop in the last line of filters (closes: #424949).
  * New Maintainer (closes: #536023).

 -- Robert Grimm <rob@robgri.de>  Thu, 17 Dec 2009 09:40:57 +0100

leafnode (1.11.7.rel-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 21 Apr 2009 21:38:26 +0100

leafnode (1.11.7.rc4-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 14 Apr 2009 19:41:16 +0100

leafnode (1.11.7.rc3-1) unstable; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 24 Mar 2009 20:15:33 +0000

leafnode (1.11.7.rc2-1) unstable; urgency=low

  * New upstream release.
  * Standards version 3.8.0 (no changes).

 -- Mark Brown <broonie@debian.org>  Sat, 21 Feb 2009 12:10:44 +0000

leafnode (1.11.7.rc1-10) unstable; urgency=low

  * Updated Spanish translation of the Debconf templates, kindly provided
    by Francisco Javier Cuadrado <fcocuadrado@gmail.com> (closes: #508730).

 -- Mark Brown <broonie@debian.org>  Sun, 14 Dec 2008 19:58:35 +0000

leafnode (1.11.7.rc1-9) unstable; urgency=low

  * Updated Swedish translation of the Debconf templates, kindly provided
    by Martin Ågren <martin.agren@gmail.com> (closes: #492750).

 -- Mark Brown <broonie@debian.org>  Mon, 28 Jul 2008 18:24:14 +0100

leafnode (1.11.7.rc1-8) unstable; urgency=low

  * Add regenerated versions of all the recently submitted Debconf template
    translations from Christian Perrier (closes: #466230).

 -- Mark Brown <broonie@debian.org>  Fri, 07 Mar 2008 19:02:00 +0000

leafnode (1.11.7.rc1-7) unstable; urgency=low

  * Include updated Russian translation of the Debconf templates, kindly
    provided by Yuri Kozlov <kozlov.y@gmail.com> (closes: #469327).

 -- Mark Brown <broonie@debian.org>  Tue, 04 Mar 2008 18:39:45 +0000

leafnode (1.11.7.rc1-6) unstable; urgency=low

  * Include updated French translation of the Debconf templates, kindly
    provided by Florent USSEIL <swiip81@free.fr> (closes: #468808).

 -- Mark Brown <broonie@debian.org>  Sun, 02 Mar 2008 11:27:29 +0000

leafnode (1.11.7.rc1-5) unstable; urgency=low

  * Include Finnish translation of the debconf templates, kindly provided by
    Esko Arajärvi <edu@iki.fi> (closes: #468210).

 -- Mark Brown <broonie@debian.org>  Sat, 01 Mar 2008 10:45:28 +0000

leafnode (1.11.7.rc1-4) unstable; urgency=low

  * Apply changes created by the Smith review project to Debconf templates
    and the control file (closes: #466230).
  * Include updated Catalan Debconf translation kindly provided by Piarres
    Beobide <pi+debian@beobide.net> (closes: #466358).
  * Include updated Czech Debconf translation kindly provided by Martin
    Šín <martin.sin@zshk.cz> (closes: #466383).
  * Include new Galician Debconf translation kindly provided by Jacobo 
    Tarrio <jtarrio@trasno.net> (closes: #466466).
  * Include updated Portuguese Debconf translation kindly provided by Américo
    Monteiro <a_monteiro@netcabo.pt> (closes: #466787).
  * Include updated German Debconf translation kindly provided by Jonas E.
    Huber <debian@hubjo.org> (closes: #467044).
  * Include updated Vietnamese Debconf translation kindly provided by Clytie
    Siddall <clytie@riverland.net.au> (closes: #467115).
  * Include updated Dutch Debconf translation kindly provided by Bart
    Cornelis <cobaco@skolelinux.no> (closes: #467416).

 -- Mark Brown <broonie@debian.org>  Mon, 25 Feb 2008 11:50:31 +0000

leafnode (1.11.7.rc1-3) unstable; urgency=low

  * Included updated Portugese Debconf translation, kindly provided by
    Américo Monteiro <a_monteiro@netcabo.pt> (closes: #464736).

 -- Mark Brown <broonie@debian.org>  Sun, 10 Feb 2008 11:25:14 +0000

leafnode (1.11.7.rc1-2) unstable; urgency=low

  * Include updated Vietnamese Debconf translation, kindly provided by Clytie
    Siddall <clytie@riverland.net.au> (closes: #463511).
  * Include updated German Debconf transltion, kindly provided by Jonas E.
    Huber <jonas@hubjo.org>.

 -- Mark Brown <broonie@debian.org>  Sat, 02 Feb 2008 13:31:22 +0000

leafnode (1.11.7.rc1-1) unstable; urgency=low

  * New upstream release.
  * Works around buggy upstream server Path handling (closes: #459980).
  * Add some more logcheck ignores (closes: #433720).
  * Updates to debconf templates.  More work is needed here so translators
    should probably hold off on updating.
  * Policy 3.7.3 (no changes).
  * Use debhelper compatibility level 6 (no changes).

 -- Mark Brown <broonie@debian.org>  Sat, 26 Jan 2008 11:12:00 +0000

leafnode (1.11.6-5) unstable; urgency=low

  * Add Portuguese translation of the Debconf templates, kindly provided by
    Américo Monteiro <a_monteiro@netcabo.pt> (closes: #436745).

 -- Mark Brown <broonie@debian.org>  Fri, 10 Aug 2007 10:04:32 +0100

leafnode (1.11.6-4) unstable; urgency=low

  * Depend on openbsd-inetd | inet-superserver instead of netbase.

 -- Mark Brown <broonie@debian.org>  Sun, 29 Jul 2007 10:24:02 +0100

leafnode (1.11.6-3) unstable; urgency=low

  * Add Spanish translation of the debconf templates, kindly provided by
    Rudy Godoy <rudy@stone-head.org> (closes: #423676).
  * Clean up old never triggered prompts for upgrades.

 -- Mark Brown <broonie@debian.org>  Sun, 13 May 2007 21:47:18 +0100

leafnode (1.11.6-2) unstable; urgency=low


