## leafnode 1.11.10

=== debian/changelog ===
leafnode (1.11.10-3) unstable; urgency=medium

  * Flip maintainer/uploader
  * Cleanups

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 16 Aug 2015 17:44:47 +0200

leafnode (1.11.10-2) unstable; urgency=medium

  * base-passwd 3.5.30 changed the shell of the "news" system user to
    nologin. Fix the daily cron job to use a shell, otherwise old
    articles are no longer expired. Thanks to Jan Braun for the
    report! (Closes: #759869)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 20 Mar 2015 14:45:52 +0100

leafnode (1.11.10-1) unstable; urgency=medium

  * New upstream release, patches getaddrinfo and whoami
    have been merged upstream 
  * Add myself as co-maintainer to help out a bit
  * Add Japanese debconf translatation, thanks "victory" (Closes: #718919)
  * Bump standards version
  * Don't install upstream installation instructions, spotted by Lintian

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 25 Jun 2014 19:18:15 +0200

leafnode (1.11.8-3) unstable; urgency=low

  * Avoid segfault in whoami() (closes: #667998).
  * Enable all hardened build flags.

 -- Robert Grimm <rob@robgri.de>  Mon, 16 Apr 2012 08:15:46 +0200

leafnode (1.11.8-2) unstable; urgency=low

  [ Christian Perrier ]
  * Fix pending l10n issues. Debconf translations:
  * Italian (Dario Santamaria).  Closes: #615879
  * Polish (Michał Kułach).  Closes: #665306

  [ Robert Grimm ]
  * Enabled hardened build flags.
  * postinst cleanup.
  * Standards version 3.9.3 (no changes).
  * Added two patches from upstream git.
     - Add IPv6 support to whoami().
     - Use AF_UNSPEC for getaddrinfo.

 -- Robert Grimm <rob@robgri.de>  Fri, 06 Apr 2012 15:56:26 +0200
