=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: leafnode
 Section: news
 Priority: extra
-Maintainer: Robert Grimm <rob@robgri.de> 
-Standards-Version: 3.8.4
-Build-Depends: libpcre3-dev, debhelper (>= 7.0.15)
+Maintainer: Moritz Muehlenhoff <jmm@debian.org>
+Uploaders: Robert Grimm <rob@robgri.de> 
+Standards-Version: 3.9.6
+Build-Depends: libpcre3-dev, debhelper
 
 Package: leafnode
 Architecture: any
