=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,20 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+dpkg-buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	cp FAQ.* debian
 	cp t.pcre_extract debian
-	./configure --prefix=/usr --with-spooldir=/var/spool/news \
-	    --sysconfdir=/etc/news/leafnode
+	./configure \
+		--prefix=/usr \
+		--with-spooldir=/var/spool/news \
+		--sysconfdir=/etc/news/leafnode \
+		$(shell $(dpkg-buildflags) --export=configure)
 	$(MAKE)
 	$(MAKE) README-FQDN
 	$(MAKE) check
@@ -63,7 +69,6 @@
 	chmod 2755 debian/leafnode/var/spool/news
 	chmod a+x debian/leafnode/etc/news/leafnode/do-fetch-news
 	rm debian/leafnode/etc/news/leafnode/filters.example
-#	chown news.news debian/leafnode/etc/news/leafnode/config
 	dh_installdeb
 	dh_perl
 	dh_shlibdeps
