=== debian/watch ===
version=3

opts=uversionmangle=s/-/~/ \
http://www.dt.e-technik.uni-dortmund.de/~ma/leafnode/leafnode-(.*)\.tar\.bz2
