## leafnode 1.11.11

=== debian/changelog ===
leafnode (1.11.11-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use canonical URL in Vcs-Browser.
  * Fix day-of-week for changelog entry 1.9.14-1.
  * Update standards version to 4.6.0, no changes needed.
  * Add missing build dependency on dh addon.

  [ Moritz Muehlenhoff ]
  * Switch to dh
  * Trim Suggests
  * Remove Robert Grimm from uploaders, with many thanks to past contributions

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 05 Jan 2022 00:13:14 +0100

leafnode (1.11.11-4) unstable; urgency=medium

  * Add Homepage: and Vcs-* headers (pointing to Salsa) to debian/control

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 28 Dec 2021 00:53:04 +0100

leafnode (1.11.11-3) unstable; urgency=medium

  * Fix FTCBFS, thanks Helmut! (Closes: #982463)
    - Pass --build/--host to ./configure
    - Honour DEB_BUILD_OPTIONS=nocheck

 -- Moritz Muehlenhoff <jmm@debian.org>  Tue, 23 Feb 2021 22:51:04 +0100

leafnode (1.11.11-2) unstable; urgency=medium

  * Debhelper compat 12

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 15 Nov 2020 21:03:49 +0100

leafnode (1.11.11-1) unstable; urgency=medium

  * New upstream release
  * Update watch file, thanks Andreas Metzler (Closes: #850586)
  * Use Debian compat level 9

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 30 Dec 2017 22:37:04 +0100
