=== debian/control ===
Source: leafnode
Section: news
Priority: optional
Maintainer: Moritz Muehlenhoff <jmm@debian.org>
Standards-Version: 4.6.0
Build-Depends: libpcre3-dev, debhelper-compat (= 12), debhelper
Homepage: https://www.leafnode.org
Vcs-Git: https://salsa.debian.org/debian/leafnode.git
Vcs-Browser: https://salsa.debian.org/debian/leafnode

Package: leafnode
Architecture: any
Provides: news-transport-system
Conflicts: news-transport-system, newsx
Depends: netbase, openbsd-inetd | inet-superserver, tcpd, logrotate, ${shlibs:Depends}, ${misc:Depends}
Suggests: perl
Homepage: http://leafnode.org/
Description: NNTP server for small sites
 Leafnode is a news server suitable for small, limited-bandwidth sites
 with only a few users ('leaf' sites). It keeps track of which groups
 are being read, and downloads only articles in those groups. Leafnode
 has been designed to require no maintenance and to be easy to set up.
 .
 Perl is required to use some optional features of the package for
 handling very low volume newsgroups.
