=== debian/rules ===
#!/usr/bin/make -f

dpkg-buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all" dpkg-buildflags

%:
	dh $@

override_dh_auto_build:
	cp FAQ.* debian
	cp t.pcre_extract debian
	./configure \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--prefix=/usr \
		--with-spooldir=/var/spool/news \
		--sysconfdir=/etc/news/leafnode \
		$(shell $(dpkg-buildflags) --export=configure)
	$(MAKE)
	$(MAKE) README-FQDN

dh_auto_test:
	$(MAKE) check

override_dh_install:
	$(MAKE) DESTDIR=debian/leafnode/ mandir=/usr/share/man install
	rm debian/leafnode/etc/news/leafnode/config.example
	rm debian/leafnode/etc/news/leafnode/*.dist
	rm debian/leafnode/etc/news/leafnode/UNINSTALL-daemontools
	cp debian/filters debian/leafnode/etc/news/leafnode/
	cp debian/touch_newsgroup debian/leafnode/usr/bin
	cp debian/touch_newsgroup.1 debian/leafnode/usr/share/man/man1
	cp config.example debian/leafnode/usr/share/leafnode
	cp debian/debian-config debian/leafnode/usr/share/leafnode
	cp debian/do-fetch-news debian/leafnode/etc/news/leafnode/do-fetch-news
	chown -R news:news debian/leafnode/var/spool/news
	chmod 2755 debian/leafnode/var/spool/news
	chmod a+x debian/leafnode/etc/news/leafnode/do-fetch-news
	rm debian/leafnode/etc/news/leafnode/filters.example

override_dh_installexamples:
	dh_installexamples tools/archivefaq.pl filters.example
	(cd debian/leafnode/usr/share/doc/leafnode/examples ; ln -s ../../../leafnode/config.example . )
