## leafnode 1.12.0

=== debian/changelog ===
leafnode (1.12.0-4) unstable; urgency=medium

  * Add a leafnode-fetchnews.timer systemd which fetches news updates
    hourly, but don't enable it by default. It should do what most
    people need for most sites.
  - No longer ship leafnode.cron.d, replaced by an (opt-in) systemd
    timer, existing installations can keep it installed or simply
    remove it.
  - Stop shipping /etc/news/leafnode/do-fetch-news, no longer needed
    for new installations given the cron.d has been removed.
  - Add README.Debian section on new systemd timer
  * Remove obsolete ppp.ip-down/ppp.if-up files

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 06 Jan 2025 20:07:51 +0100

leafnode (1.12.0-3) unstable; urgency=medium

  * Import changes from NMU, thanks to Paulo Henrique de Lima Santana
    (Closes: #1026406)
  * Set Rules-Requires-Root: binary-targets, we need to chown to the
    "news" user provided by base-passwd (Closes: #1089357)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 11 Dec 2024 11:04:57 +0100

leafnode (1.12.0-2) unstable; urgency=medium

  * Install a socket-enabled systemd unit:
   - The unit is not enabled by default: there's no clear consensus
     in Debian whether socket-enabled systemd generally phases out
     inetd invocation at this point and non-systemd continues to
     see support still.
   - here's no longer any registration of inetd/nntp service
     in postinst
   - Instead provide a README.Debian describing the options of either
     enabling the systemd unit or instead to configure inetd instead
   - Demote update-inetd, openbsd-inetd | inet-superserver, tcpd
     dependencies to Suggests:
   - Drop the debconf questions related to tcpd (and also the obsolete
     question about PPP (debconf will eventually be removed entirely
     at some point, it serves hardly any purpose other than setting
     the upstream news server, which can be replaced by simply editing
     a config file)
    (Closes: #1027788, #660569, #719749, #638791)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 22 Jan 2023 12:15:56 +0100

leafnode (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0, in a sense also (Closes: #989086)
  * Switch to PCRE2 (Closes: #1000110)
  * Use debhelper 13

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 01 Jun 2022 21:09:07 +0200
