=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: news
 Priority: optional
 Maintainer: Moritz Muehlenhoff <jmm@debian.org>
-Standards-Version: 4.6.0
-Build-Depends: libpcre3-dev, debhelper-compat (= 12), debhelper
+Standards-Version: 4.6.2
+Build-Depends: libpcre2-dev, debhelper-compat (= 13), debhelper
 Homepage: https://www.leafnode.org
 Vcs-Git: https://salsa.debian.org/debian/leafnode.git
 Vcs-Browser: https://salsa.debian.org/debian/leafnode
+Rules-Requires-Root: binary-targets
 
 Package: leafnode
 Architecture: any
 Provides: news-transport-system
 Conflicts: news-transport-system, newsx
-Depends: netbase, openbsd-inetd | inet-superserver, tcpd, logrotate, ${shlibs:Depends}, ${misc:Depends}
-Suggests: perl
+Depends: netbase, logrotate, ${shlibs:Depends}, ${misc:Depends}
+Suggests: update-inetd, openbsd-inetd | inet-superserver, tcpd, perl
 Homepage: http://leafnode.org/
 Description: NNTP server for small sites
  Leafnode is a news server suitable for small, limited-bandwidth sites
