=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 	dh $@
 
 override_dh_auto_build:
-	cp FAQ.* debian
 	cp t.pcre_extract debian
 	./configure \
 		--build=$(DEB_BUILD_GNU_TYPE) \
@@ -17,24 +16,27 @@
 		$(shell $(dpkg-buildflags) --export=configure)
 	$(MAKE)
 	$(MAKE) README-FQDN
+	$(MAKE) FAQ.txt
 
 dh_auto_test:
 	$(MAKE) check
 
+
+override_dh_installsystemd:
+	dh_installsystemd -pleafnode leafnode@.service leafnode.socket
+	dh_installsystemd -pleafnode --no-enable leafnode.socket
+	dh_installsystemd -pleafnode --name=leafnode-fetchnews --no-enable leafnode-fetchnews.timer leafnode-fetchnews.service
+
 override_dh_install:
 	$(MAKE) DESTDIR=debian/leafnode/ mandir=/usr/share/man install
 	rm debian/leafnode/etc/news/leafnode/config.example
-	rm debian/leafnode/etc/news/leafnode/*.dist
-	rm debian/leafnode/etc/news/leafnode/UNINSTALL-daemontools
 	cp debian/filters debian/leafnode/etc/news/leafnode/
 	cp debian/touch_newsgroup debian/leafnode/usr/bin
 	cp debian/touch_newsgroup.1 debian/leafnode/usr/share/man/man1
 	cp config.example debian/leafnode/usr/share/leafnode
 	cp debian/debian-config debian/leafnode/usr/share/leafnode
-	cp debian/do-fetch-news debian/leafnode/etc/news/leafnode/do-fetch-news
 	chown -R news:news debian/leafnode/var/spool/news
 	chmod 2755 debian/leafnode/var/spool/news
-	chmod a+x debian/leafnode/etc/news/leafnode/do-fetch-news
 	rm debian/leafnode/etc/news/leafnode/filters.example
 
 override_dh_installexamples:
