## leafnode 2.0.0.alpha20090406a

=== debian/changelog ===
leafnode (2.0.0.alpha20090406a-1) experimental; urgency=low

  * New upstream version.
  * Install lsmac.pl and make_pass.pl in /usr/share/doc/leafnode/examples.
  * Rename moderators.5 to leafnode-moderators.5 and mention the new name in
    NEWS.Debian (closes: #518645).
  * Install empty moderators file with a comment, mentioning the new name of
    the manpage.
  * Added dont_use_sizeof.patch (closes: #566782).
  * Add pkg-config as build dependency
  * Removed obsolete suggestion of libnet-perl.
  * Standards version 3.8.4
  * Switch to dpkg source 3.0 (quilt) format.

 -- Robert Grimm <rob@robgri.de>  Thu, 04 Feb 2010 15:42:15 +0100

leafnode (2.0.0.alpha20070602a-2) experimental; urgency=low

  * Provide an empty local.groups since fetchnews insists on warning about it.

 -- Mark Brown <broonie@debian.org>  Sat, 14 Jul 2007 18:36:12 +0100

leafnode (2.0.0.alpha20070602a-1) experimental; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sat, 14 Jul 2007 17:31:29 +0100

leafnode (2.0.0.alpha20070108a-1) experimental; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Tue, 27 Feb 2007 19:51:50 +0000

leafnode (2.0.0.alpha20061010a-1) experimental; urgency=low

  * New upstream release.

 -- Mark Brown <broonie@debian.org>  Sun, 22 Oct 2006 20:06:31 +0100

leafnode (2.0.0.alpha20060831a-2) experimental; urgency=low

  * Run "texpire -r" on upgrade from Leafnode 1.

 -- Mark Brown <broonie@debian.org>  Sun,  8 Oct 2006 22:25:58 +0100

leafnode (2.0.0.alpha20060831a-1) experimental; urgency=low

  * New upstream release.
   - Any configured server can now be specified on the fetchnews command
     line (closes: #70509).
   - Since Leafnode is no longer a simple proxy for the upstream servers
     upstream articles are not posted then refetched (closes: #171821).
   - Posting can now be disabled in fetchnews (closes: #230959).
  * Packaging uses some work from the out of archive packages provided
    by Matej Cepl <ceplm@seznam.cz>.
  * PAM support is enabled in leafnode 2 packages.
  * Build depend on lynx.
  * No files are converted during upgrade: local.groups was not supported in
    version 1 and the filtering changes are not suitable for automatic
    upgrade.
  * Needs Lynx for HTML generation.
  * On upgrade from pre-2.0 versions create an empty local.groups and re-fetch
    the active file.
  * Don't create message.id in postinst any more.

 -- Mark Brown <broonie@debian.org>  Sun,  8 Oct 2006 15:10:28 +0100
