=== debian/control ===
Source: leafnode
Section: news
Priority: extra
Maintainer: Robert Grimm <rob@robgri.de> 
Standards-Version: 3.8.4
Build-Depends: libpcre3-dev, debhelper (>= 7.0.15), libpam0g-dev, lynx, pkg-config

Package: leafnode
Architecture: any
Provides: news-transport-system
Conflicts: news-transport-system, newsx
Depends: netbase, tcpd, logrotate, openbsd-inetd | inet-superserver,
 ${shlibs:Depends}, ${misc:Depends}
Suggests: slrn | news-reader, ${perl:Depends} 
Description: NNTP server for small leaf sites
 Leafnode is a news server suitable for small, limited-bandwidth sites 
 with only a few users. Leafnode keeps track of which groups are being
 read, and downloads only articles in those groups. Leafnode has been
 designed to require no maintenance and to be easy to set up.
 .
 Perl is required to use some optional features of the package for handling
 very low volume newsgroups.
