=== debian/watch ===
version=3

opts="uversionmangle=s/.luascript//" \
http://home.pages.de/~mandree/leafnode/beta/leafnode-(.*)\.tar.bz2
